<?php

namespace Modules\School\Interfaces;

use Modules\School\Models\School;

interface SchoolRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): School;
    public function update(array $request, School $school): School;
    public function destroy(School $school): void;
    public function destroyAll(array $ids): void;
    public function restore(School $school): void;
    public function restoreAll(array $ids): void;
}
